Last modified: 2014-04-28 14:29:59 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 62104 - FOR UPDATE on postgres added also to read only selects
FOR UPDATE on postgres added also to read only selects
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
1.23.0
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: easy
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2014-03-01 11:44 UTC by db [inactive,noenotif]
Modified: 2014-04-28 14:29 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description db [inactive,noenotif] 2014-03-01 11:44:04 UTC
The array_search from Gerrit change #69767 should be strict (set third parameter to true), because on array( 'OFFSET' => 0 ) will also add FOR UPDATEs. Seen on query pages like Special:BrokenRedirects.
Comment 1 Gerrit Notification Bot 2014-04-27 07:24:54 UTC
Change 129936 had a related patch set uploaded by Umherirrender:
Use strict array_search in DatabasePostgres.php

https://gerrit.wikimedia.org/r/129936
Comment 2 Gerrit Notification Bot 2014-04-27 23:45:46 UTC
Change 129936 merged by jenkins-bot:
Use strict array_search in DatabasePostgres.php

https://gerrit.wikimedia.org/r/129936
Comment 3 Umherirrender 2014-04-28 14:29:59 UTC
successfully merged

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links